#include <iostream>
#include <vector>
#include <cmath>

using namespace std;
struct Ucenik {
	int x;
	int y;
	Ucenik(int X, int Y) 
	{
		x = X;
		y = Y;
	}
};

int main() 
{
	int n;
	cin >> n;
	vector<vector<Ucenik>> listaUcenika(n);
	int x;
	int y;
	for (int i = 0; i < n; i++)
	{
		cin >> x >> y;
		listaUcenika[i].push_back(Ucenik(x, y));
	}
	int X;
	int Y;
	double med;
	double med2;
	int rez = 0;
	for (int i = 0; i < n; i++)
	{	
		for (int j = 0; j < n; j++)
		{
			if (j!=i)
			{			
				for (int z = 0; z < n; z++)
				{
					if (z!=i&&z!=j)
					{					
						for (int c = 0; c < n; c++)
						{
							if (c!=z && c!=j && c!=i)
							{

								med = 0;
								med2 = 0;
								
								if (listaUcenika[i][0].y > listaUcenika[j][0].y)
								{
									med = (double)(listaUcenika[i][0].y - listaUcenika[j][0].y) / (double)(listaUcenika[i][0].x - listaUcenika[j][0].x);
								}
								else
								{
									med = (double)(listaUcenika[j][0].y - listaUcenika[i][0].y) / (double)(listaUcenika[j][0].x - listaUcenika[i][0].x);
								}
								if (listaUcenika[c][0].y > listaUcenika[z][0].y)
								{
									med2 = (double)(listaUcenika[c][0].y - listaUcenika[z][0].y) / (double)(listaUcenika[c][0].x - listaUcenika[z][0].x);
								}
								else
								{
									med2 = (double)(listaUcenika[z][0].y - listaUcenika[c][0].y) / (double)(listaUcenika[z][0].x - listaUcenika[c][0].x);
								}
								if (med==med2)
								{
									if ((2*sqrt((listaUcenika[i][0].x - listaUcenika[j][0].x)*(listaUcenika[i][0].x - listaUcenika[j][0].x) + (listaUcenika[i][0].x - listaUcenika[j][0].x) * (listaUcenika[i][0].x - listaUcenika[j][0].x)) == sqrt((listaUcenika[z][0].x - listaUcenika[c][0].x) * (listaUcenika[z][0].x - listaUcenika[c][0].x) + (listaUcenika[z][0].x - listaUcenika[c][0].x) * (listaUcenika[z][0].x - listaUcenika[c][0].x))) || sqrt((listaUcenika[i][0].x - listaUcenika[j][0].x) * (listaUcenika[i][0].x - listaUcenika[j][0].x) + (listaUcenika[i][0].x - listaUcenika[j][0].x) * (listaUcenika[i][0].x - listaUcenika[j][0].x)) == 2*sqrt((listaUcenika[z][0].x - listaUcenika[c][0].x) * (listaUcenika[z][0].x - listaUcenika[c][0].x) + (listaUcenika[z][0].x - listaUcenika[c][0].x) * (listaUcenika[z][0].x - listaUcenika[c][0].x)))
									{
										rez++;
									}
								}

							}
						}
					}
					
				}
			
			}
		}
	}
	cout << rez / 8;
	return 0;
}